Get all customers

Prev Next
Get
/Customerdataservice/api/customers

Fetch all customers data.

Query parameters
pageable
Required
object
page
integer (int32)
Minimum1
Maximum100
size
integer (int32)
Minimum1
Maximum100
Responses
200

Paged list of customers

Expand All
object
data
Array of object (Customerdataservice_CustomerDTO)
object
organizationNumber
string

Unique organization number for the customer. Must be numeric and up to 9 digits.

Min length1
Max length9
Pattern^[0-9]*$
Example123456789
name
string

Full name of the customer. Max 30 characters.

Min length1
Max length30
ExampleAcme Corporation
phone
string

Primary phone number. Max 11 characters.

Min length0
Max length11
Pattern^\+?[0-9]+$
Example12345678901
mobile
string

Mobile phone number. Max 11 characters.

Min length0
Max length11
Pattern^\+?[0-9]+$
Example10987654321
fax
string

Fax number. Max 11 characters.

Min length0
Max length11
Pattern^\+?[0-9]+$
Example11223344556
websiteUrl
string

Website URL of the customer.

Min length0
Max length100
Pattern^https?://.*$
Examplehttps://acme.com
email
string

Email address of the customer. Max 50 characters.

Min length0
Max length50
Pattern^[^@]+@[^@]+\.[^@]+$
Examplejohn.doe@acme.com
eanLocationNumber
string

EAN location number for electronic invoicing.

Example1234567890123
bankAccountNumber
string

Bank account number. Numeric, max 11 digits.

Min length0
Max length11
Pattern^[0-9]*$
Example98765432101
customerCategory
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
classificationGroup
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
discountCategory
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
paymentTerm
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
deliveryType
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
deliveryMethod
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
address
object (Customerdataservice_Address)

Address details.

name
string

Name of the address location.

Min length1
Max length2147483647
ExampleMain Office
drivingDescription
string

Driving directions or description.

ExampleNext to the central station
address1
string

Address line 1.

Min length0
Max length30
Example123 Main St
address2
string

Address line 2.

Min length0
Max length30
ExampleSuite 100
postalCode
string

Postal code.

Min length0
Max length10
Example1234
city
string

City name.

Min length0
Max length30
ExampleMetropolis
country
string

Country name.

ExampleNorway
invoiceAddress
object (Customerdataservice_Address)

Address details.

name
string

Name of the address location.

Min length1
Max length2147483647
ExampleMain Office
drivingDescription
string

Driving directions or description.

ExampleNext to the central station
address1
string

Address line 1.

Min length0
Max length30
Example123 Main St
address2
string

Address line 2.

Min length0
Max length30
ExampleSuite 100
postalCode
string

Postal code.

Min length0
Max length10
Example1234
city
string

City name.

Min length0
Max length30
ExampleMetropolis
country
string

Country name.

ExampleNorway
deliveryAddress
object (Customerdataservice_Address)

Address details.

name
string

Name of the address location.

Min length1
Max length2147483647
ExampleMain Office
drivingDescription
string

Driving directions or description.

ExampleNext to the central station
address1
string

Address line 1.

Min length0
Max length30
Example123 Main St
address2
string

Address line 2.

Min length0
Max length30
ExampleSuite 100
postalCode
string

Postal code.

Min length0
Max length10
Example1234
city
string

City name.

Min length0
Max length30
ExampleMetropolis
country
string

Country name.

ExampleNorway
salesperson
object (Customerdataservice_Salesperson)

Salesperson details.

Example[{code=SP02, name=Bob Brown}]
code
string

Salesperson code.

Min length1
Max length2147483647
ExampleSP01
name
string

Salesperson name.

Min length1
Max length2147483647
ExampleJane Smith
alternativeSalespersons
Array of object (Customerdataservice_Salesperson)

List of alternative salespersons.

Min items0
Max items10
Example[{code=SP02, name=Bob Brown}]
object

Salesperson details.

Example[{code=SP02, name=Bob Brown}]
code
string

Salesperson code.

Min length1
Max length2147483647
ExampleSP01
name
string

Salesperson name.

Min length1
Max length2147483647
ExampleJane Smith
customerCards
Array of object (Customerdataservice_CustomerCard)

List of customer cards.

Min items0
Max items10
Example[{cardType={id=CARDTYPE01, name=Loyalty}, cardNumber=1234567890, barcode=BAR123456, cardHolder=John Doe, blocked=false}]
object

Customer card details.

Example[{cardType={id=CARDTYPE01, name=Loyalty}, cardNumber=1234567890, barcode=BAR123456, cardHolder=John Doe, blocked=false}]
cardType
object (Customerdataservice_NamedReference)

Reference object with id and name.

id
string

External unique identifier.

Min length1
Max length2147483647
ExampleID01
name
string

Display name.

Min length1
Max length2147483647
ExampleName
cardNumber
string

Card number.

Min length1
Max length2147483647
Example1234567890
barcode
string

Barcode for the card.

Min length1
Max length2147483647
ExampleBAR123456
cardHolder
string

Name of the card holder.

Min length1
Max length2147483647
ExampleJohn Doe
blocked
boolean

Indicates if the card is blocked.

Examplefalse
externalIds
Array of object (Customerdataservice_ExternalId)

List of external identifiers.

Min items0
Max items30
object

External identifier from an external system.

system
string

The external system name (e.g., NX).

Min length1
Max length20
ExampleNX
id
string

The identifier in the external system.

Min length1
Max length100
ExampleXYZ123
customerId
string
Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$
Example123
page
object (Customerdataservice_PageDTO)
totalElements
integer (int64)
Minimum0
Maximum1000000
currentPage
integer (int32)
Minimum1
Maximum100
pageSize
integer (int32)
Minimum1
Maximum100
401

HTTP Unauthorized

object
timestamp
string (date-time)
status
integer (int32)
error
string
path
string
500

HTTP Internal Server Error

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerdataservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200